com.lowagie.toolbox.arguments.filters

## Class ImageFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - com.lowagie.toolbox.arguments.filters.ImageFilter

-     public class ImageFilter
      extends javax.swing.filechooser.FileFilter

  Filters images in a FileChooser.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean[]` | `filter` array that enables you to filter on image types.
    `static java.lang.String[]` | `IMAGES` Array with all kinds of image extensions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageFilter()` Constructs an ImageFilter allowing all images.
    `ImageFilter(boolean jpeg, boolean png, boolean gif, boolean bmp, boolean wmf, boolean tiff)` Constructs an ImageFilter allowing some images.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File f)`
    `java.lang.String` | `getDescription()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGES

          public static final java.lang.String[] IMAGES

      Array with all kinds of image extensions.

    - #### filter

          public boolean[] filter

      array that enables you to filter on image types.

  - ### Constructor Detail

    - #### ImageFilter

          public ImageFilter()

      Constructs an ImageFilter allowing all images.

    - #### ImageFilter

          public ImageFilter(boolean jpeg,
                     boolean png,
                     boolean gif,
                     boolean bmp,
                     boolean wmf,
                     boolean tiff)

      Constructs an ImageFilter allowing some images.
      Parameters:
        `jpeg` - indicates if jpegs are allowed
        `png` - indicates if pngs are allowed
        `gif` - indicates if gifs are allowed
        `bmp` - indicates if bmps are allowed
        `wmf` - indicates if wmfs are allowed
        `tiff` - indicates if tiffs are allowed

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File f)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`
      Parameters:
        `f` - File
      Returns:
        boolean
      See Also:
        `FileFilter.accept(java.io.File)`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`
      Returns:
        String
      See Also:
        `FileFilter.getDescription()`